<div class="container screen-mt-3 " *ngIf="myrouter == '/event_home'; else nonblock ">
    <div class="row" *ngFor="let img of bannerImg">
        <div class="col-12 col-sm-6 col-md-6 col-lg-6 col-xl-6 p-0 mob-mb-15 d-none d-lg-block d-md-block d-sm-block position-r mb-0 asc">
            <!--<div class="left-hd">  
            </div>-->
            <!-- <img class="mw-100 left-blnk" src="../../../assets/build/img/back2.png" width="" /> -->
            <div class="hsec-p">
                <div class="h-sec">
                    <h2 class="big-h">{{img.name}}</h2>
                    <h5 class="small-h">{{img.second_text}}</h5>

                </div>
            </div>
        </div>
        <div class="col-12 col-sm-6 col-md-6 col-lg-6 col-xl-6 p-0">
            <img class="mw-100 hsec-rright" src="{{baseurl}}static/public/media/{{img.photos[0]}}" />
        </div>
    </div>
</div>
<ng-template #nonblock>

</ng-template>

<div class="container mw-96 mb-5 p-0 mob-pt-25">
    <div class="row">
        <form class="mb-0">
            <div class="">
                <div class="row">
                    <div class="col-lg-12 col-md-12 col-sm-12 col-12 a-s-c">
                        <div>
                            <label class="lbl-srch" for="location">Événements populaires : </label>
                            <div class="dropdown drop-down">
                                <i class="fa-solid fa-angle-down srch-angl"></i>
                                <input type="text" placeholder="Recherche.." id="myInput" name="search" [(ngModel)]="searchText">
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-6 p-0">
                        <!--<input type="email" class="form-control" id="email" placeholder="Enter email" name="email">-->
                    </div>
                    <div></div>
                </div>
            </div>
        </form>
    </div>
    <div class="row">

        <div class="tab-content">

            <div id="home" class=" tab-pane active">
                <br>
                <h5 class="f-w-600 mb-0">Découvrez les catégories du moment</h5>
                <br>
                <div class="row">
                    <div class="col-12 col-sm-12 d-block d-sm-block d-lg-none d-md-none">
                        <ul id="nav-gwbar2" class="nav-gwbar-single-row nav-genz nav-gwbar-white nav-gwbar-scroll home-event">
                            <li>
                                <a (click)="All()">Tous</a>
                            </li>
                            <li *ngFor="let cat of myCategories">
                                <a (click)="filterCategories(cat.name)"><img src="{{baseurl}}static/public/media/{{cat.photos}}" alt="" class="catImg"> {{cat.name}}</a>
                            </li>
                        </ul>
                    </div>
                </div>



                <div class="d-none d-sm-none d-lg-block d-md-block">
                    <div class="row">
                        <div class="col-lg-3 col-md-4 col-sm-3 col-12 ">
                            <button class="sub-cap " style="color: black;" (click)="All()">Tous</button>
                        </div>
                        <div class="col-lg-3 col-md-4 col-sm-3 col-12 " *ngFor="let cat of myCategories">
                            <ng-container *ngIf="cat.photos[0];else noImgCat">
                            <button class="sub-cap " (click)="filterCategories(cat.name)" style="color: black;"> <img src="{{baseurl}}static/public/media/{{cat.photos}}" alt="" class="catImg"> &nbsp;{{cat.name}}</button>

                        </ng-container>
                        <ng-template #noImgCat>
                            <button class="sub-cap " (click)="filterCategories(cat.name)" style="color: black;"> <img src="{{baseurl}}static/public/media/no-img-event-cat.png" alt="" class="catImg"> &nbsp;{{cat.name}}</button>

                        </ng-template>
                            <!-- <p>{{baseurl}}static/public/{{cat.photos}}</p> -->
                        </div>

                    </div>
                </div>

                <div class="row" *ngIf="(records| filter: searchText).length > 0; else noResults">

                    <div class="col-lg-3 col-md-6 col-sm-6 col-6 item {{item.Category}}" *ngFor="let item of records| filter :searchText | paginate: { itemsPerPage: 12, currentPage: p };">
                        <div class=" my-event">
                            <div class="first-b-cap position-r ">
                                <a routerLink="/event-detail/{{item._id}}"><img class="eve-mg" src="{{baseurl}}static/public/{{item.media}}"></a>
                                
                                <div>
                                    <a class="heart-play" *ngIf="item.isFav == 1 || item.isFav == 2" (click)="removeFav(item.favriouts[0].event_id)">
                                        <i class="fa-solid fa-heart fa-i" style=" position: relative !important;
                                        bottom: -8px !important;
                                        font-size: 14px !important;"></i>
                                    </a>
                                </div>
                                <div>
                                    <a class="heart-play" *ngIf="item.isFav == 0" (click)="addFav(item._id)">
                                        <label for="id-of-input" class="custom-checkbox hrt-lbl">
                                         
                                        <i class="fa-regular fa-heart fa-i"></i>
                                    </label>
                                    </a>
                                </div>



                            </div>
                            <div class="m-div ">
                                <p class="mob-titl"><a class="event-name">{{item.title}}</a></p>
                                <p class="f-p mob-fs-12 mob-m-0">{{item.datetimefilter[0].date | date:'M.d.yy'}} {{item.datetimefilter[0].time}}</p>
                                <p class="m-b-5 mob-fs-12 mob-m-0 adr-ev">{{item.catagory}} • {{item.address[0].address}} </p>
                                <p class="m-b-5 mob-fs-12 mob-m-0">{{item.tickets[0].price}} CFA
                                </p>
                            </div>
                        </div>

                    </div>

                </div>
                <p [hidden]="showerror">No results found</p>
                <ng-template #noResults>
                    <p>Aucune Evénements trouvée pour "{{searchText}}".</p>
                </ng-template>

                <!-- <pagination-controls (pageChange)="p = $event" class="float-right"></pagination-controls> -->
                <!-- <div class="row">
               <div class="col-lg-4 m-a">
                  <div class="text-center"><button class="btn theme-btn afficher">Afficher plus</button></div>
               </div>
            </div> -->
            </div>
        </div>
    </div>
</div>